Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.tsp
Class MessageImprint

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.tsp.MessageImprint

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class MessageImprint
extends ASN1Object

Constructor Summary
`MessageImprint(AlgorithmIdentifier hashAlgorithm, byte[] hashedMessage)`

Method Summary
`AlgorithmIdentifier` | `getHashAlgorithm()`
`byte[]` | `getHashedMessage()`
`int` | `getHashedMessageLength()`
`static MessageImprint` | `getInstance(java.lang.Object o)` Return an instance of MessageImprint, or null, based on o.
`ASN1Primitive` | `toASN1Primitive()` MessageImprint ::= SEQUENCE { hashAlgorithm AlgorithmIdentifier, hashedMessage OCTET STRING }

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageImprint

    public MessageImprint(AlgorithmIdentifier hashAlgorithm,
                          byte[] hashedMessage)

Method Detail

### getInstance

    public static MessageImprint getInstance(java.lang.Object o)

  Return an instance of MessageImprint, or null, based on o.

  Parameters:
    `o` - the object to be converted.
  Returns:
    a MessageImprint object.

### getHashAlgorithm

    public AlgorithmIdentifier getHashAlgorithm()

### getHashedMessage

    public byte[] getHashedMessage()

### getHashedMessageLength

    public int getHashedMessageLength()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  MessageImprint ::= SEQUENCE { hashAlgorithm AlgorithmIdentifier, hashedMessage OCTET STRING }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD